ssl_server_options

Experimental - SSL configuration for inbound connections. More...

`#include <ssl.hpp>`

Inherits ssl_domain.

## Public Member Functions

| ssl_server_options (ssl_certificate &cert)
| Server SSL options based on the supplied X.509 certificate specifier. More...
| ssl_server_options (ssl_certificate &cert, const std::string &trust_db, const std::string &advertise_db=std::string(), enum ssl::verify_mode mode=ssl::VERIFY_PEER)
| Server SSL options requiring connecting clients to provide a client certificate. More...
| ssl_server_options ()
| Server SSL options restricted to available anonymous cipher suites on the platform. More...

## Detailed Description

Experimental - SSL configuration for inbound connections.

## Constructor & Destructor Documentation

## ssl_server_options() [1/3]

ssl_server_options | ( | ssl_certificate & | cert | ) |

Server SSL options based on the supplied X.509 certificate specifier.

## ssl_server_options() [2/3]

ssl_server_options | ( | ssl_certificate & | cert,
|  | const std::string & | trust_db,
|  | const std::string & | advertise_db = `std::string()`,
|  | enum ssl::verify_mode | mode = `ssl::VERIFY_PEER`
| ) |  |

Server SSL options requiring connecting clients to provide a client certificate.

## ssl_server_options() [3/3]

ssl_server_options | ( |  | ) |

Server SSL options restricted to available anonymous cipher suites on the platform.

The documentation for this class was generated from the following file:

- proton/ssl.hpp